org.apache.pdfbox.pdmodel.interactive.digitalsignature

## Class PDPropBuild

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.digitalsignature.PDPropBuild

All Implemented Interfaces:
  COSObjectable

    public class PDPropBuild
    extends Object
    implements COSObjectable

A signature build dictionary as specified in the PDF Signature Build Dictionary Specification. The signature build properties dictionary provides signature properties for the software application that was used to create the signature.

Author:
  Thomas Chojecki
See Also:
  http://partners.adobe.com/public/developer/en/acrobat/Acrobat_Signature_BuiladDict.pdf

### Constructor Summary

Constructors
Constructor and Description
`PDPropBuild()` Default constructor.
`PDPropBuild(COSDictionary dict)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDPropBuildDataDict` `getApp()` A build data dictionary for the viewing application software module that was used to create the parent signature.
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS dictionary.
`PDPropBuildDataDict` `getFilter()` A build data dictionary for the signature handler that was used to create the parent signature.
`PDPropBuildDataDict` `getPubSec()` A build data dictionary for the PubSec software module that was used to create the parent signature.
`void` `setPDPropBuildApp(PDPropBuildDataDict app)` Set the build data dictionary for the viewing application software module.
`void` `setPDPropBuildFilter(PDPropBuildDataDict filter)` Set the build data dictionary for the signature handler.
`void` `setPDPropBuildPubSec(PDPropBuildDataDict pubSec)` Set the build data dictionary for the PubSec Software module.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDPropBuild

    public PDPropBuild()

Default constructor.

#### PDPropBuild

    public PDPropBuild(COSDictionary dict)

Constructor.

Parameters:
  `dict` - The signature dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS dictionary.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The COS dictionary that matches this Java object.

#### getFilter

    public PDPropBuildDataDict getFilter()

A build data dictionary for the signature handler that was used to create the parent signature.

Returns:
  the Filter as PDPropBuildFilter object

#### setPDPropBuildFilter

    public void setPDPropBuildFilter(PDPropBuildDataDict filter)

Set the build data dictionary for the signature handler. This entry is optional but is highly recommended for the signatures.

Parameters:
  `filter` - is the PDPropBuildFilter

#### getPubSec

    public PDPropBuildDataDict getPubSec()

A build data dictionary for the PubSec software module that was used to create the parent signature.

Returns:
  the PubSec as PDPropBuildPubSec object

#### setPDPropBuildPubSec

    public void setPDPropBuildPubSec(PDPropBuildDataDict pubSec)

Set the build data dictionary for the PubSec Software module.

Parameters:
  `pubSec` - is the PDPropBuildPubSec

#### getApp

    public PDPropBuildDataDict getApp()

A build data dictionary for the viewing application software module that was used to create the parent signature.

Returns:
  the App as PDPropBuildApp object

#### setPDPropBuildApp

    public void setPDPropBuildApp(PDPropBuildDataDict app)

Set the build data dictionary for the viewing application software module.

Parameters:
  `app` - is the PDPropBuildApp